Combining the analysis of gaze behavior and neural spiking for the evaluation of risky gambles during decision making tasks.

The data include eye tacks and spiking activity (both in the folder data) from two subjects used to analyse the encoding of value in orbitofrontal cortex (OFC) and behavioral readout (in the folder code).

Data and Code are in the respective folders. Main analyses code is supported by support functions in the homonym folder. The code is designed and tested on Matlab (versions R2020a and later). 


Cite as:

Ferro, D., Cash-Padgett, T., Wang, M. Z., Hayden, B., & Moreno-Bote, R. (2023). Gaze-centered gating and reactivation of value encoding in orbitofrontal cortex. bioRxiv, 2023-04.
https://doi.org/10.1101/2023.04.20.537677 

(in preparation for peer-review publication)