    function poolstackvars=getPoolStackVars(subjsData)

    subject1=subjsData(1).sbdata;
    subject2=subjsData(2).sbdata;

    s1s1gbi=getBehavioralInfos(subject1,1); s1s2gbi=getBehavioralInfos(subject1,2);
    s1s3gbi=getBehavioralInfos(subject1,3); s1s4gbi=getBehavioralInfos(subject1,4);
    s2s1gbi=getBehavioralInfos(subject2,1); s2s2gbi=getBehavioralInfos(subject2,2);
    s2s3gbi=getBehavioralInfos(subject2,3); s2s4gbi=getBehavioralInfos(subject2,4);

    for sn=1:4
        poolstackvars(sn).ncells=eval(['s1s' num2str(sn) 'gbi.ncells']);
        poolstackvars(sn+4).ncells=eval(['s2s' num2str(sn) 'gbi.ncells']);

        poolstackvars(sn).offer1sd   = eval(['s1s' num2str(sn) 'gbi.offer1sd==1']); % first is LEFT ==1 (first is RIGHT ==0)
        poolstackvars(4+sn).offer1sd = eval(['s2s' num2str(sn) 'gbi.offer1sd==1']); % first is LEFT ==1 (first is RIGHT ==0)

        poolstackvars(sn).chooseR   = eval(['s1s' num2str(sn) 'gbi.chooseLR==2']); % offer1 side 1 is left, 0 is right
        poolstackvars(4+sn).chooseR = eval(['s2s' num2str(sn) 'gbi.chooseLR==2']); % offer1 side 1 is left, 0 is right

        poolstackvars(sn).offer1ev   = eval(['s1s' num2str(sn) 'gbi.offer1ev']);
        poolstackvars(4+sn).offer1ev = eval(['s2s' num2str(sn) 'gbi.offer1ev']);
        
        poolstackvars(sn).offer2ev   = eval(['s1s' num2str(sn) 'gbi.offer2ev']);
        poolstackvars(4+sn).offer2ev = eval(['s2s' num2str(sn) 'gbi.offer2ev']);

        poolstackvars(sn).offer1var   = eval(['s1s' num2str(sn) 'gbi.offer1var']);
        poolstackvars(4+sn).offer1var = eval(['s2s' num2str(sn) 'gbi.offer1var']);

        poolstackvars(sn).offer2var   = eval(['s1s' num2str(sn) 'gbi.offer2var']);
        poolstackvars(4+sn).offer2var = eval(['s2s' num2str(sn) 'gbi.offer2var']);

        poolstackvars(sn).offerLev   = eval(['s1s' num2str(sn) 'gbi.offerLev']);
        poolstackvars(4+sn).offerLev = eval(['s2s' num2str(sn) 'gbi.offerLev']);

        poolstackvars(sn).offerRev   = eval(['s1s' num2str(sn) 'gbi.offerRev']);
        poolstackvars(4+sn).offerRev = eval(['s2s' num2str(sn) 'gbi.offerRev']);

        poolstackvars(sn).offerLvar   = eval(['s1s' num2str(sn) 'gbi.offerLvar']);
        poolstackvars(4+sn).offerLvar = eval(['s2s' num2str(sn) 'gbi.offerLvar']);

        poolstackvars(sn).offerRvar   = eval(['s1s' num2str(sn) 'gbi.offerRvar']);
        poolstackvars(4+sn).offerRvar = eval(['s2s' num2str(sn) 'gbi.offerRvar']);

        poolstackvars(sn).offer1rw   = eval(['s1s' num2str(sn) 'gbi.offer1rw']);
        poolstackvars(4+sn).offer1rw = eval(['s2s' num2str(sn) 'gbi.offer1rw']);
        
        poolstackvars(sn).offer2rw   = eval(['s1s' num2str(sn) 'gbi.offer2rw']);
        poolstackvars(4+sn).offer2rw = eval(['s2s' num2str(sn) 'gbi.offer2rw']);
    end
    end
