function [subjectdata] = getSubjectData(subj)
% Returns subjectdata structure specified by subj
% input subj can be double 1=subject1, 2=subject2
% or char 'Pumbaa'=subject1, 'Vader'=subject2

if nargin<1
    subj=1;
end

if (~ischar(subj) && subj==1) || (ischar(subj) && strcmpi(subj,'Pumbaa'))
    disp('loading data for subject 1, Pumbaa.');
    load('../data/subject1Data-110121-14h43.mat');
end
if (~ischar(subj) && subj==2) || (ischar(subj) && strcmpi(subj,'Vader'))
    disp('loading data for subject 2, Vader.');
    load('../data/subject2Data-110121-15h11.mat');
end

end